@charset "UTF-8";

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: white;
  max-width: 790px;
  margin: 0 auto;
  padding: 30px 0;
}

.note {
  padding: 1rem;
  background: #faf8ff;
  border: 1px solid #430bd1;
  border-radius: 8px;
  margin-bottom: 1rem;
}

.highlight-block {
  background: #edf2f7;
  padding: 2em;
  text-align: center;
  margin-bottom: 1rem;
}

.highlight-block-flex {
  display: flex;
  flex-direction: row;
}

.highlight-img-flex {
  flex: 1;
  margin: 0 0.5rem;
}

@media (max-width: 600px) {
  .highlight-block-flex {
    flex-direction: column;
  }
}

.highlight-block-sum {
  font-size: 0.8em;
  font-style: italic;
  text-align: center;
}

.post-date {
  margin-left: 0.25em;
  font-style: italic;
}

.subscription {
  text-align: right;
  font-size: 0.8rem;
  font-style: italic;
  line-height: 1;
  margin-bottom: 0.5rem;
}

.post-tags {
  font-size: 12px;
  font-style: italic;
}

.discuss {
  margin: 1rem 0;
  text-align: center;
}

.discuss-reddit,
.discuss-twitter {
  margin: 0 1rem;
}

.plannercode,
.markdown-body-pre {
  padding: 16px;
  overflow: auto;
  font-size: 85%;
  line-height: 1.45;
  background-color: #f7f7f7;
  border-radius: 3px;
  word-wrap: normal;
  margin-top: 0;
  margin-bottom: 16px;
  font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
}

.plannercode-content {
  white-space: pre;
}

.tok-variableName {
  color: #28839f;
}

.tok-keyword {
  color: #708;
}

.tok-literal {
  color: #164;
}

.tok-meta {
  color: #6f6e24;
}

.tok-comment {
  color: #8b9bab;
}

.tok-atom {
  color: #940;
}

.tok-propertyName {
  color: #8b9bab;
}

.tok-attributeName {
  color: #940;
}

.tok-attributeValue {
  color: #28839f;
}

.tok-number {
  color: #164;
}

.tok-string {
  color: #28839f;
}

.image-with-text {
  display: flex;
}

.image-with-text > div {
  flex: 1;
}

.image-with-text > img {
  display: block;
  margin: 1rem 1rem 1rem 0;
  border: 1px solid #eee;
  width: 30%;
  max-width: 400px;
}

.image-with-text-reverse > img {
  margin: 1rem 0 1rem 1rem;
}

@media (max-width: 768px) {
  .image-with-text {
    flex-direction: column;
    align-items: center;
  }

  .image-with-text-reverse {
    flex-direction: column-reverse;
  }

  .image-with-text > img {
    width: 75%;
    max-width: 100%;
    margin: 1rem 0;
  }
}
